%define release_name ARM64
%define fedora_release_name Schrödinger’s Cat
%define dist_version 19

Summary:	ARM64 release files
Name:		arm64-release
Version:	1
Release:	0.1
License:	GPLv2
Group:		System Environment/Base
URL:		http://dmarlin.fedorapeople.org/fedora-arm/aarch64
Source:		%{name}-%{version}.tar.bz2
Obsoletes:	redhat-release
Provides:	redhat-release
Obsoletes:	fedora-release
Provides:	fedora-release
Provides:	system-release = %{version}-%{release}
Obsoletes:	fedora-release-rawhide < %{dist_version}-%{release}
BuildArch:	noarch

%description
ARM64 release files such as yum configs and various /etc/ files that
define the release.  This release is based on Fedora, but is a remix for 
the 64-bit ARM (aarch64).


%prep
%setup -q
sed -i 's|@@VERSION@@|%{dist_version}|g' README.txt

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
echo "ARM64 release %{version} (%{release_name})" > $RPM_BUILD_ROOT/etc/arm64-release
#echo -e "\t\tbased on Fedora %{dist_version} (%{fedora_release_name})" >> $RPM_BUILD_ROOT/etc/arm64-release
echo "cpe:/o:fedoraproject:fedora:%{dist_version}" > $RPM_BUILD_ROOT/etc/system-release-cpe
cp -p $RPM_BUILD_ROOT/etc/arm64-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m (\l)" >> $RPM_BUILD_ROOT/etc/issue
cp -p $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
ln -s arm64-release $RPM_BUILD_ROOT/etc/redhat-release
ln -s arm64-release $RPM_BUILD_ROOT/etc/system-release

cat << EOF >>$RPM_BUILD_ROOT/etc/os-release
NAME=ARM64
VERSION="%{version} (%{release_name})"
ID=arm64
VERSION_ID=%{version}
PRETTY_NAME="ARM64 %{version} (%{release_name})"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:fedoraproject:fedora:%{dist_version}"
EOF

install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg

install -m 644 RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/

# Install all the keys, link the primary keys to primary arch files
# and to compat generic location
pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
for arch in i386 x86_64
  do
  ln -s RPM-GPG-KEY-arm64-%{dist_version}-primary RPM-GPG-KEY-fedora-$arch
done
ln -s RPM-GPG-KEY-arm64-%{dist_version}-primary RPM-GPG-KEY-fedora
for arch in arm armhfp aarch64 ppc ppc64 s390 s390x
  do
  ln -s RPM-GPG-KEY-arm64-%{dist_version}-secondary RPM-GPG-KEY-fedora-$arch
done
popd

install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
for file in *.repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

# Set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%fedora	%{dist_version}
%%dist		.fc%{dist_version}
%%fc%{dist_version}		19
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc GPL README.txt
%config %attr(0644,root,root) /etc/os-release
%config %attr(0644,root,root) /etc/arm64-release
/etc/redhat-release
/etc/system-release
%config %attr(0644,root,root) /etc/system-release-cpe
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/arm64.repo
%config(noreplace) /etc/yum.repos.d/stage4.repo
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%attr(0644,root,root) /etc/rpm/macros.dist
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*


%changelog
* Wed Aug 15 2013 d.marlin <dmarlin@redhat.com>
- Initial ARM64 release package.

